public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Add test-cases twice.sh and twice-multifile.sh
@ 2019-01-01  0:00 Tom de Vries
  2019-01-01  0:00 ` Mention used workaround in dwz.log Tom de Vries
  0 siblings, 1 reply; 2+ messages in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

Add test-cases that check the behaviour of dwz when it fails to compress.  In
addition, these test-cases verify that dwz can process its own output as
input.

Committed to trunk.

Thanks,
- Tom

Add test-cases twice.sh and twice-multifile.sh

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-multifile.sh: New test.
	* testsuite/dwz.tests/twice.sh: New test.

---
 testsuite/dwz.tests/twice-multifile.sh | 36 ++++++++++++++++++++++++++++++++++
 testsuite/dwz.tests/twice.sh           | 28 ++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/testsuite/dwz.tests/twice-multifile.sh b/testsuite/dwz.tests/twice-multifile.sh
new file mode 100644
index 0000000..fded77a
--- /dev/null
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -0,0 +1,36 @@
+cp ../hello 1
+cp 1 2
+
+dwz 1 2
+
+smaller-than.sh 1 ../hello
+smaller-than.sh 2 ../hello
+
+cp 1 1.saved
+cp 2 2.saved
+
+if dwz -m 3 1 2 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $status -eq 1 ]; then
+    # PR24354
+    true
+else
+    [ $status -eq 0 ]
+fi
+
+cmp 1 1.saved
+
+rm -f 1 1.saved 2 2.saved dwz.err
diff --git a/testsuite/dwz.tests/twice.sh b/testsuite/dwz.tests/twice.sh
new file mode 100644
index 0000000..4db798e
--- /dev/null
+++ b/testsuite/dwz.tests/twice.sh
@@ -0,0 +1,28 @@
+cp ../hello 1
+
+dwz 1
+
+smaller-than.sh 1 ../hello
+
+cp 1 1.saved
+
+if dwz 1 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+rm -f 1 1.saved dwz.err

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Mention used workaround in dwz.log
  2019-01-01  0:00 [committed] Add test-cases twice.sh and twice-multifile.sh Tom de Vries
@ 2019-01-01  0:00 ` Tom de Vries
  0 siblings, 0 replies; 2+ messages in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

[-- Attachment #1: Type: text/plain, Size: 355 bytes --]

[was: Re: [committed] Add test-cases twice.sh and twice-multifile.sh ]

On 17-03-19 11:09, Tom de Vries wrote:
> +if [ $status -eq 1 ]; then
> +    # PR24354
> +    true
> +else
> +    [ $status -eq 0 ]
> +fi

It occurred to me that rather than silently working around PRs, it could
be better to do it more verbose.

Committed as attached.

Thanks,
- Tom

[-- Attachment #2: 0001-Mention-used-workaround-in-dwz.log.patch --]
[-- Type: text/x-patch, Size: 1536 bytes --]

Mention used workaround in dwz.log

Add a mechanism where tests can add text to a file dwz.info, which is
then included in the dwz.log file.

Use the mechanism to mention the workaround used in twice-multifile.sh.

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-multifile.sh: Mention workaround in
	dwz.info.
	* testsuite/dwz.tests/dwz-tests.exp: Include dwz.info in dwz.log.

---
 testsuite/dwz.tests/dwz-tests.exp      | 6 ++++++
 testsuite/dwz.tests/twice-multifile.sh | 3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/testsuite/dwz.tests/dwz-tests.exp b/testsuite/dwz.tests/dwz-tests.exp
index 983d323..5a0b551 100644
--- a/testsuite/dwz.tests/dwz-tests.exp
+++ b/testsuite/dwz.tests/dwz-tests.exp
@@ -42,6 +42,12 @@ foreach test $tests {
 	puts "$msg"
 	fail "$test"
     } else {
+	if { [file exists dwz.info ] } {
+	    set info [exec cat dwz.info]
+	    verbose -log "$test:" 1
+	    verbose -log "$info" 1
+	    exec rm -f dwz.info
+	}
 	set file_list [glob -nocomplain "$dir/*"]
 	if {[llength $file_list] != 0} {
 	    puts "$dir is not empty"
diff --git a/testsuite/dwz.tests/twice-multifile.sh b/testsuite/dwz.tests/twice-multifile.sh
index fded77a..a0d023a 100644
--- a/testsuite/dwz.tests/twice-multifile.sh
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -25,8 +25,7 @@ if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
 fi
 
 if [ $status -eq 1 ]; then
-    # PR24354
-    true
+    echo "PR24354 workaround used" > dwz.info
 else
     [ $status -eq 0 ]
 fi

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-03-17 15:13 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Add test-cases twice.sh and twice-multifile.sh Tom de Vries
2019-01-01  0:00 ` Mention used workaround in dwz.log Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).